Resources

Supported Operating Systems

The supported operating systems derived from this page are for SAS® Viya® as well as SAS® Foundation products and servers, release 9.4 and earlier. For SAS Viya 2020.1 and later, see System Requirements and Support Levels. To find system requirements for products and solutions not included here, click this link.

Display Supported Operating Systems
View:
Platform:
Operating System:

  

Your selection details will appear below when you click Submit.
  

SAS® News


SAS® 9.4 TS1M7 (9.4 M7) is the current release

  • SAS 9.4 M7 was released on August 18, 2020.
  • If you are new to SAS, complete the contact form.
  • Current SAS 9.4 customers can request SAS 9.4 maintenance by visiting Release Announcement and use the self-service application for maintenance tool.
Important Links & Notes


Details of Supported Operating Systems were found using the above criteria.
  • Linux 64-bit
    • Platform Release Support Level Comment
      Oracle Linux 6 Standard In a multi-machine deployment, SAS recommends that all server machines have the same version of Linux, including the same patch level. A mixture of operating system levels is not advisable. SAS also strongly recommends installing identical operating system versions and patch levels on groups of machines that perform similar roles. For example, use identical operating systems for all CAS machines, or for all machines that host microservices. For more information, please see this link https://support.sas.com/en/install-center/sas-viya.html
      Supported on Oracle Linux 6.7 and later within 6.x.
      Oracle Linux 7 Standard In a multi-machine deployment, SAS recommends that all server machines have the same version of Linux, including the same patch level. A mixture of operating system levels is not advisable. SAS also strongly recommends installing identical operating system versions and patch levels on groups of machines that perform similar roles. For example, use identical operating systems for all CAS machines, or for all machines that host microservices. For more information, please see this link https://support.sas.com/en/install-center/sas-viya.html
      Supported on Oracle Linux 7.1 and later within 7.x.
      Red Hat Enterprise Linux 6 Limited In a multi-machine deployment, SAS recommends that all server machines have the same version of Linux, including the same patch level. A mixture of operating system levels is not advisable. SAS also strongly recommends installing identical operating system versions and patch levels on groups of machines that perform similar roles. For example, use identical operating systems for all CAS machines, or for all machines that host microservices. For more information, please see this link https://support.sas.com/en/install-center/sas-viya.html
      Supported on Red Hat Enterprise Linux 6.7 (64-bit) and later within 6.x.
      Red Hat Enterprise Linux 7 Standard In a multi-machine deployment, SAS recommends that all server machines have the same version of Linux, including the same patch level. A mixture of operating system levels is not advisable. SAS also strongly recommends installing identical operating system versions and patch levels on groups of machines that perform similar roles. For example, use identical operating systems for all CAS machines, or for all machines that host microservices. For more information, please see this link https://support.sas.com/en/install-center/sas-viya.html
      Supported on Red Hat Enterprise Linux 7.1 and later within 7.x.
      Red Hat Enterprise Linux 8.2 Standard The February 2021 release of SAS Viya 3.5 or a later release is required.
      Note that support for individual products with RHEL 8.2 and later is limited at this time.
      See Supported Products for the current list.
      SuSE SLES 12.2 Standard In a multi-machine deployment, SAS recommends that all server machines have the same version of Linux, including the same patch level. A mixture of operating system levels is not advisable. SAS also strongly recommends installing identical operating system versions and patch levels on groups of machines that perform similar roles. For example, use identical operating systems for all CAS machines, or for all machines that host microservices. For more information, please see this link https://support.sas.com/en/install-center/sas-viya.html
      Supported on SUSE Linux Enterprise Server 12.2 and later within 12.x.
      SuSE SLES 15 Not Supported SLES 15 is not supported for SAS Viya at this time.